---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: message-hub
  namespace: message-hub
spec:
  template:
    spec:
      containers:
      - name: message-hub
        image: cr.yandex/crp3ccidau046kdj8g9q/message-hub:production_d11aa910
        env:
        - name: WORKER_TIMEOUT
          value: '60'
        - name: PYTHONPATH
          value: src
        - name: SETTINGS_MAX_RETRIES
          value: '1'
        - name: SETTINGS_TOPICS
          value: '{"planning": "message-hub-prod", "assets":"assets_broadcast","issues": "issues_broadcast_prod"}'
        - name: PDF_CONVERTER_HOST
          value: http://export-project-service.django.svc.cluster.local:8000
        - name: SAREX_BASE_HOST
          value: http://backend-service.pm.svc.cluster.local:8000
        - name: PM_HOST
          value: http://backend-service.pm.svc.cluster.local:8000
        - name: DB_HOST
          value: postgres-service.pm.svc.cluster.local
        - name: DB_PORT
          value: '5432'
        - name: DB_DATABASE
          value: pm
        - name: CACHE_HOST
          value: redis.pm.svc.cluster.local
        - name: CACHE_PORT
          value: '6379'
        - name: CACHE_SSL
          value: '0'
        - name: KAFKA_HOST
          value: donstroi-kafka-bootstrap.kafka.svc.cluster.local
        - name: KAFKA_PORT
          value: '9093'
        - name: KAFKA_SECURITY_PROTOCOL
          value: SSL
        - name: KAFKA_SASL_MECHANISM
          value: PLAIN
        - name: KAFKA_SSL_CAFILE
          value: /usr/local/share/ca-certificates/kafka.crt
